<?php

/**
 * 验证手机号格式
 * @param $phone sting 手机号
 * @return bool
 */
if(!function_exists('getExceptionMsg')){
    function getExceptionMsg($code,$msg)
    {
        return response()->json([
            'code' => $code,
            'msg' => $msg,
        ]);
    }
}

/**
 * 发送curl请求
 * @param $url string 请求地址
 * @param $data array 请求参数
 * @return json
 */
if(!function_exists('getSendCurl')){
    function getSendCurl($url, $data, $timeout = 30){
        try {
            //curl 调用
            $data = json_encode($data);
            $curl = curl_init();
            curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
            curl_setopt($curl, CURLOPT_HTTPHEADER, array('Content-Type: application/json','Content-Length: ' . strlen($data)));
            curl_setopt($curl, CURLOPT_URL, $url);
            $timeout = intval ( $timeout ) ? intval ( $timeout ) : 30;
            curl_setopt($curl, CURLOPT_TIMEOUT, $timeout);
            curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
            curl_setopt($curl, CURLOPT_HEADER, 0);
            $result = curl_exec($curl);
            $curl_err_code = curl_errno($curl);
            $code = curl_getinfo($curl, CURLINFO_HTTP_CODE);
            curl_close($curl);
            return $result;
        } catch (exception $e) {
            throw new Exception($e->getMessage());
        }
    }
}

/**
 * 验证手机号格式
 * @param $phone sting 手机号
 * @return bool
 */
 if(!function_exists('getVerifyPhone')){
    function getVerifyPhone($phone)
    {
        if (empty($phone)||!preg_match("/^(13[0-9]|14[5|7]|15[0|1|2|3|5|6|7|8|9]|18[0|1|2|3|4|5|6|7|8|9]|17[0-9])|166|198|199\d{8}$/", $phone)) {
            return false;
        }
        return true;
    }
}

/**
 * 检测json数据格式是否正确
 *
 * @param $string string 字符串
 * @return bool
 */
if (!function_exists('getIsJsonFormat')) {
    function getIsJsonFormat($string)
    {
        if (is_string($string) and $string !== '') {
            @json_decode($string);
            return json_last_error() ? false : true;
        } else {
            return false;
        }
    }
}
