<?php
namespace App\Http\Middleware;
use Closure;
use Exception;
use Illuminate\Http\Request;
use App\Models\AdminModel;
use Illuminate\Support\Facades\Cache;

class LoginForApi
{
    /**
     *
     * @param $request
     * @param Closure $next
     * @return array|mixed
     */
    public function handle(Request $request, Closure $next)
    {
        $userToken = $request->header('token','');
        if($userToken == '') return getExceptionMsg(401,config('msg.common.401'));
        $userToken = MD5($userToken);
        $user =  AdminModel::where('token',$userToken)->first();
        if(!$user) return getExceptionMsg(401,config('msg.common.401'));
        if(!Cache::has('login_'.$userToken)) return getExceptionMsg(401,config('msg.common.401'));
        Cache::put('login_'.$userToken,1,60);
        $request['user'] = $user->toArray();
        unset($user);
        return $next($request);
    }
}
