<?php
namespace App\Models;

use App\Models\BaseModel;

class RedisModel extends BaseModel
{
    protected $connection = 'mysql';
    protected $table = 'cc_redis';

    /**
     * 关联项目
     * @date 2020/11/18
     * @author live
     */
    public function getRelationProject(){
        return $this->belongsTo('App\Models\ProjectModel','project_id');
    }

    /**
     * 关联云平台
     * @date 2020/11/18
     * @author live
     */
    public function getCloudProject(){
        return $this->belongsTo('App\Models\CloudModel','cloud_id');
    }

    /**
     * 付费方式
     * @date 2020/11/18
     * @author live
     */
    public function getRelationPayType(){
        return $this->belongsTo('App\Models\OptionsModel','pay_type');
    }

    /**
     * 关联网络类型
     * @date 2020/11/18
     * @author live
     */
    public function getRelationNetworkType(){
        return $this->belongsTo('App\Models\OptionsModel','network_type');
    }
}
