<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        //
    }

    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->bind('App\Services\User\IUserService', 'App\Services\User\UserService');
        $this->app->bind('App\Services\Project\IProjectService', 'App\Services\Project\ProjectService');
        $this->app->bind('App\Services\Cloud\ICloudService', 'App\Services\Cloud\CloudService');
        $this->app->bind('App\Services\Cdn\ICdnService', 'App\Services\Cdn\CdnService');
        $this->app->bind('App\Services\Options\IOptionsService', 'App\Services\Options\OptionsService');
        $this->app->bind('App\Services\Domains\IDomainsService', 'App\Services\Domains\DomainsService');
        $this->app->bind('App\Services\Records\IRecordsService', 'App\Services\Records\RecordsService');
        $this->app->bind('App\Services\Slb\ISlbService', 'App\Services\Slb\SlbService');
        $this->app->bind('App\Services\Cvm\ICvmService', 'App\Services\Cvm\CvmService');
        $this->app->bind('App\Services\Rdb\IRdbService', 'App\Services\Rdb\RdbService');
        $this->app->bind('App\Services\Redis\IRedisService', 'App\Services\Redis\RedisService');

    }
}
