<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCcAdminTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cc_admin', function (Blueprint $table) {
            $table->increments('id')->comment('自增ID');
            $table->string('name',32)->default('')->unique()->comment('登录名');
            $table->string('real_name',32)->default('')->nullable()->comment('真实名称');
            $table->string('email',64)->default('')->unique()->comment('邮箱');
            $table->string('phone',16)->default('')->comment('手机号');
            $table->string('password',128)->default('')->comment('登录密码');
            $table->string('token',64)->default('')->comment('登录token');
            $table->integer('option_id')->default(0)->comment('操作人ID');
            $table->timestamps();
            $table->unique('name', 'email');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cc_admin');
    }
}
