<?php
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCcCdnTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cc_cdn', function (Blueprint $table) {
            $table->increments('id')->comment('自增ID');
            $table->string('origin_site',64)->default('')->comment('源站地址');
            $table->string('use_domain',64)->default('')->comment('使用域名');
            $table->string('remark',128)->default('')->comment('业务说明');
            $table->string('cdn_domain',64)->default('')->comment('cdn生成的域名');
            $table->integer('cloud_id')->default(0)->comment('云账号ID');
            $table->integer('project_id')->default(0)->comment('项目ID');
            $table->timestamps();
            $table->index('cloud_id');
            $table->index('project_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cc_cdn');
    }
}
