<?php
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCcDomainRecordsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cc_domain_records', function (Blueprint $table) {
            $table->increments('id')->comment('自增ID');
            $table->string('record',64)->default('')->comment('主机记录');
            $table->integer('record_type')->default(0)->comment('记录类型');
            $table->integer('isp_line')->default(0)->comment('线路类型');
            $table->string('record_value',64)->default('')->comment('记录值');
            $table->string('remark',256)->default('')->comment('备注');
            $table->integer('domain_id')->default(0)->comment('域名ID');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cc_domain_records');
    }
}
