<?php
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCcDomainsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cc_domains', function (Blueprint $table) {
            $table->increments('id')->comment('自增ID');
            $table->string('name',128)->default('')->comment('域名');
            $table->string('registrant',32)->default('')->comment('注册人');
            $table->string('registrant_email',64)->default('')->comment('注册人邮箱');
            $table->integer('registrar')->default(0)->comment('注册商');
            $table->date('expire_date')->comment('到期时间');
            $table->string('beian_info',256)->default('')->comment('备案信息');
            $table->integer('hoster')->default(0)->comment('托管商');
            $table->integer('project_id')->default(0)->comment('项目ID');
            $table->timestamps();
            $table->index('project_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cc_domains');
    }
}
