<?php
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCcSlbTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cc_slb', function (Blueprint $table) {
            $table->increments('id')->comment('自增ID');
            $table->string('instance_name',32)->default('')->comment('实例名称备注');
            $table->string('instance_id',64)->default('')->comment('实例ID');
            $table->string('outer_ip',32)->default('')->comment('服务地址');
            $table->string('backend_ip_list',128)->default('')->comment('后端IP列表');
            $table->integer('cloud_id')->default(0)->comment('云账号ID');
            $table->integer('project_id')->default(0)->comment('项目ID');
            $table->timestamps();
            $table->index('cloud_id');
            $table->index('project_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cc_slb');
    }
}
