<?php
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCcCvmTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cc_cvm', function (Blueprint $table) {
            $table->increments('id')->comment('自增ID');
            $table->string('instance_id',64)->default('')->comment('实例ID');
            $table->string('instance_name',64)->default('')->comment('实例名称');
            $table->string('system',32)->default('')->comment('系统类型');
            $table->string('public_id',32)->default('')->comment('公网IP');
            $table->string('intranet_id',32)->default('')->comment('内网IP');
            $table->string('capacity',32)->default('')->comment('容量');
            $table->integer('pay_type')->default(0)->comment('付费方式');
            $table->integer('network_type')->default(0)->comment('网络类型');
            $table->string('region',128)->default('')->comment('地区');
            $table->string('config',256)->default('')->comment('配置');
            $table->dateTime('expire_time')->comment('到期时间');
            $table->integer('cloud_id')->default(0)->comment('云账号ID');
            $table->integer('project_id')->default(0)->comment('项目ID');
            $table->timestamps();
            $table->index('cloud_id');
            $table->index('project_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cc_cvm');
    }
}

