<?php
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCcRedisTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cc_redis', function (Blueprint $table) {
            $table->increments('id')->comment('自增ID');
            $table->string('instance_id',64)->default('')->comment('实例ID');
            $table->string('instance_name',64)->default('')->comment('实例名称');
            $table->string('capacity',16)->default('')->comment('容量');
            $table->string('quota',16)->default('')->comment('配额');
            $table->string('edition',32)->default('')->comment('版本');
            $table->string('norms',32)->default('')->comment('实例规格');
            $table->integer('pay_type')->default(0)->comment('付费方式');
            $table->integer('network_type')->default(0)->comment('网络类型');
            $table->string('region',128)->default('')->comment('地区');
            $table->dateTime('expire_time')->comment('到期时间');
            $table->integer('cloud_id')->default(0)->comment('云账号ID');
            $table->integer('project_id')->default(0)->comment('项目ID');
            $table->timestamps();
            $table->index('cloud_id');
            $table->index('project_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cc_redis');
    }
}
