<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/
Route::group(['namespace' => 'Api'],function() {
    Route::post('/login','UserController@getUserLogin');//用户登录
    Route::post('/logout','UserController@getUserLogout');//用户登出
});


Route::group(['prefix' => 'user','namespace' => 'Api'],function() {
    Route::post('/list','UserController@getUserList');//用户列表
    Route::post('/add','UserController@getUserAdd');//新增用户
    Route::post('/edit','UserController@getUserEdit');//编辑用户
    Route::post('/del','UserController@getUserDel');//删除用户
    Route::post('/reset/pwd','UserController@getResetUserPwd');//重置用户登录密码
});

Route::group(['prefix' => 'project','namespace' => 'Api'],function() {
    Route::post('/list','ProjectController@getProjectList');//项目列表
    Route::post('/add','ProjectController@getProjectAdd');//新增项目
    Route::post('/edit','ProjectController@getProjectEdit');//编辑项目
    Route::post('/del','ProjectController@getProjectDel');//删除项目
    Route::post('/select/list','ProjectController@getProjectSelectList');//下拉框列表
});

Route::group(['prefix' => 'cloud','namespace' => 'Api'],function() {
    Route::post('/list','CloudController@getCloudList');//云账号列表
    Route::post('/add','CloudController@getCloudAdd');//新增云账号
    Route::post('/edit','CloudController@getCloudEdit');//编辑云账号
    Route::post('/del','CloudController@getCloudDel');//删除云账号
    Route::post('/select/list','CloudController@getCloudSelectList');//云账号下拉列表
});

Route::group(['prefix' => 'cdn','namespace' => 'Api'],function() {
    Route::post('/list','CdnController@getCdnList');//cdn列表
    Route::post('/add','CdnController@getCdnAdd');//新增cdn
    Route::post('/edit','CdnController@getCdnEdit');//编辑cdn
    Route::post('/del','CdnController@getCdnDel');//删除cdn
});

Route::group(['prefix' => 'options','namespace' => 'Api'],function() {
    Route::post('/list','OptionsController@getOptionsList');//选项卡列表
    Route::post('/add','OptionsController@getOptionsAdd');//新增选项卡
    Route::post('/edit','OptionsController@getOptionsEdit');//编辑选项卡
    Route::post('/del','OptionsController@getOptionsDel');//删除选项卡
    Route::post('/select/list','OptionsController@getOptionsSelectList');//获取选项卡下拉
});

Route::group(['prefix' => 'domains','namespace' => 'Api'],function() {
    Route::post('/list','DomainsController@getDomainsList');//域名列表
    Route::post('/add','DomainsController@getDomainsAdd');//新增域名
    Route::post('/edit','DomainsController@getDomainsEdit');//编辑域名
    Route::post('/del','DomainsController@getDomainsDel');//删除域名
    Route::post('/select/list','DomainsController@getDomainsSelectList');//域名下拉列表
});

Route::group(['prefix' => 'domains/records','namespace' => 'Api'],function() {
    Route::post('/list','DomainRecordsController@getRecordsList');//记录列表
    Route::post('/add','DomainRecordsController@getRecordsAdd');//新增记录
    Route::post('/edit','DomainRecordsController@geRecordsEdit');//编辑记录
    Route::post('/del','DomainRecordsController@getRecordsDel');//删除记录
});

Route::group(['prefix' => 'slb','namespace' => 'Api'],function() {
    Route::post('/list','SlbController@getSlbList');//slb列表
    Route::post('/del','SlbController@getSlbDel');//删除slb
    Route::post('/add','SlbController@getSlbAdd');//新增slb
    Route::post('/edit','SlbController@getSlbEdit');//编辑slb
});

Route::group(['prefix' => 'rdb','namespace' => 'Api'],function() {
    Route::post('/list','RdbController@getRdbList');//Rdb列表
    Route::post('/del','RdbController@getRdbDel');//删除rdb
    Route::post('/add','RdbController@getRdbAdd');//新增rdb
    Route::post('/edit','RdbController@getRdbEdit');//编辑rdb

});

Route::group(['prefix' => 'redis','namespace' => 'Api'],function() {
    Route::post('/list','RedisController@getRedisList');//redis列表
    Route::post('/del','RedisController@getRedisDel');//删除redis
    Route::post('/add','RedisController@getRedisAdd');//新增redis
    Route::post('/edit','RedisController@getRedisEdit');//编辑redis
});

Route::group(['prefix' => 'cvm','namespace' => 'Api'],function() {
    Route::post('/list','CvmController@getCvmList');//cvm列表
    Route::post('/del','CvmController@getCvmDel');//删除cvm
    Route::post('/add','CvmController@getCvmAdd');//新增cvm
    Route::post('/edit','CvmController@getCvmEdit');//编辑cvm
});

